ru.bitel.bgbilling.modules.sorm.server.bean

## Class InternalUser

- java.lang.Object
- - ru.bitel.bgbilling.modules.sorm.server.bean.InternalUser

-     public class InternalUser
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InternalUser()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAddress()`
    `java.util.Calendar` | `getBirthday()`
    `int` | `getContractId()`
    `java.lang.String` | `getContractTitle()`
    `java.util.Calendar` | `getDateFrom()`
    `java.util.Calendar` | `getDateTo()`
    `java.lang.String` | `getDocumentNumber()`
    `java.lang.String` | `getDocumentSerial()`
    `java.lang.String` | `getDocumentType()`
    `java.util.Calendar` | `getDocumentWhenGive()`
    `java.lang.String` | `getDocumentWhoGive()`
    `java.lang.String` | `getFirstName()`
    `java.lang.String` | `getId()`
    `java.lang.String` | `getLastName()`
    `java.lang.String` | `getMiddleName()`
    `java.lang.String` | `getPhoneNumber()`
    `void` | `setAddress(java.lang.String address)`
    `void` | `setBirthday(java.util.Calendar birthday)`
    `void` | `setContractId(int contractId)`
    `void` | `setContractTitle(java.lang.String contractTitle)`
    `void` | `setDateFrom(java.util.Calendar dateFrom)`
    `void` | `setDateTo(java.util.Calendar dateTo)`
    `void` | `setDocumentNumber(java.lang.String documentNumber)`
    `void` | `setDocumentSerial(java.lang.String documentSerial)`
    `void` | `setDocumentType(java.lang.String documentType)`
    `void` | `setDocumentWhenGive(java.util.Calendar documentWhenGive)`
    `void` | `setDocumentWhoGive(java.lang.String documentWhoGive)`
    `void` | `setFirstName(java.lang.String firstName)`
    `void` | `setId(java.lang.String id)`
    `void` | `setLastName(java.lang.String lastName)`
    `void` | `setMiddleName(java.lang.String middleName)`
    `void` | `setPhoneNumber(java.lang.String phoneNumber)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InternalUser

          public InternalUser()

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

    - #### setId

          public void setId(java.lang.String id)

    - #### getFirstName

          public java.lang.String getFirstName()

    - #### setFirstName

          public void setFirstName(java.lang.String firstName)

    - #### getLastName

          public java.lang.String getLastName()

    - #### setLastName

          public void setLastName(java.lang.String lastName)

    - #### getMiddleName

          public java.lang.String getMiddleName()

    - #### setMiddleName

          public void setMiddleName(java.lang.String middleName)

    - #### getBirthday

          public java.util.Calendar getBirthday()

    - #### setBirthday

          public void setBirthday(java.util.Calendar birthday)

    - #### getDocumentSerial

          public java.lang.String getDocumentSerial()

    - #### setDocumentSerial

          public void setDocumentSerial(java.lang.String documentSerial)

    - #### getDocumentNumber

          public java.lang.String getDocumentNumber()

    - #### setDocumentNumber

          public void setDocumentNumber(java.lang.String documentNumber)

    - #### getDocumentWhoGive

          public java.lang.String getDocumentWhoGive()

    - #### setDocumentWhoGive

          public void setDocumentWhoGive(java.lang.String documentWhoGive)

    - #### getDocumentWhenGive

          public java.util.Calendar getDocumentWhenGive()

    - #### setDocumentWhenGive

          public void setDocumentWhenGive(java.util.Calendar documentWhenGive)

    - #### getAddress

          public java.lang.String getAddress()

    - #### setAddress

          public void setAddress(java.lang.String address)

    - #### getPhoneNumber

          public java.lang.String getPhoneNumber()

    - #### setPhoneNumber

          public void setPhoneNumber(java.lang.String phoneNumber)

    - #### getDateFrom

          public java.util.Calendar getDateFrom()

    - #### setDateFrom

          public void setDateFrom(java.util.Calendar dateFrom)

    - #### getDateTo

          public java.util.Calendar getDateTo()

    - #### setDateTo

          public void setDateTo(java.util.Calendar dateTo)

    - #### getContractId

          public int getContractId()

    - #### setContractId

          public void setContractId(int contractId)

    - #### getContractTitle

          public java.lang.String getContractTitle()

    - #### setContractTitle

          public void setContractTitle(java.lang.String contractTitle)

    - #### getDocumentType

          public java.lang.String getDocumentType()

    - #### setDocumentType

          public void setDocumentType(java.lang.String documentType)